Description

Durante el arranque de gvSIG el addon de TabbedToC falla mostrando el siguiente error en la consola:

...
 INFO 37879 [Thread-9] (ScriptingUtils.java:454) - running autorun script
'/home/jjdelcerro/gvSIG-desktop/gvSIG-desktop-2.6.0-3205-devel-lin-x86_64/preferences/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.6.0/scripts/addons/TabbedToC/autorun.inf' (001000.gvsig-base.002
.mainplugin/2.6.0/scripts/addons/TabbedToC/autorun.inf' (001000.gvsig-base.002900, null).
 WARN 41555 [Thread-9] (ScriptingUtils.java:475) - Can't execute autorun from
'/home/jjdelcerro/gvSIG-desktop/gvSIG-desktop-2.6.0-3205-devel-lin-x86_64/preferences/gvSIG/plugins/org.gvsig.scripting.app.mainplugin/2.6.0/scripts/addons/TabbedToC/autorun.inf'.
org.gvsig.scripting.CompileErrorException: SyntaxError: no viable alternative at input ':' in __pyclasspath__/addons/TabbedToC/sourceorder.py at line number 354 at column number 28
        at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:585)
        at org.gvsig.scripting.
.mainplugin/2.6.0/scripts/addons/TabbedToC/autorun.inf'.
org.gvsig.scripting.CompileErrorException: SyntaxError: no viable alternative at input ':' in
__pyclasspath__/addons/TabbedToC/sourceorder.py at line number 354 at column number 28
        at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:585)
        at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:653)
        at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:641)
        at org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts.executeScripts(ScriptingUtils.java:470)
        at org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteScriptsFromFilesystem.run(ScriptingUtils.java:548)
        at org.gvsig.scripting.app.extension.ScriptingUtils$ExecuteAutorunScriptsOnStartup.run(ScriptingUtils.java:374)
        at org.gvsig.andami.impl.DefaultPluginsManager$Task.run(DefaultPluginsManager.java:110)
        at org.gvsig.andami.impl.DefaultPluginsManager$1.run(DefaultPluginsManager.java:345)
        at java.lang.Thread.run(Thread.java:745)
Caused by: javax.script.ScriptException: SyntaxError: no viable alternative at input ':' in
__pyclasspath__/addons/TabbedToC/sourceorder.py at line number 354 at column number 28
        at org.python.jsr223.MyPyScriptEngine.scriptException(MyPyScriptEngine.java:215)
        at org.python.jsr223.MyPyScriptEngine.eval(MyPyScriptEngine.java:49)
        at org.python.jsr223.MyPyScriptEngine.access$300(MyPyScriptEngine.java:21)
        at org.python.jsr223.MyPyScriptEngine$PyCompiledScript.eval(MyPyScriptEngine.java:252)
        at javax.script.CompiledScript.eval(CompiledScript.java:106)
        at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:577)
        ... 8 more
Caused by: Traceback (most recent call last):
  File "<script>", line 5, in <module>
  File "__pyclasspath__/addons/TabbedToC/actions.py", line 17, in <module>
  File "__pyclasspath__/addons/TabbedToC/tabbedtoc.py", line 12, in <module>
  File "__pyclasspath__/addons/TabbedToC/sourceorder.py", line 354
    if( getDataStore == None:
                           ^
SyntaxError: no viable alternative at input ':'

        at org.python.core.ParserFacade.fixParseError(ParserFacade.java:95)
        at org.python.core.ParserFacade.parse(ParserFacade.java:190)
...

History
#1 - 12/29/2020 08:12 AM - Joaquín  del Cerro Murciano
- gvSIG version changed from 2.5.1 to 2.6.0

#2 - 03/05/2021 07:17 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.0-3206 to 2.6.1-final

#3 - 03/09/2021 08:52 AM - José Olivas
- Target version changed from 2.6.1-final to 2.6.0-3216
- Status changed from New to Fixed

#4 - 05/19/2021 11:38 AM - Álvaro Anguix
- Status changed from Fixed to Closed
